SNMPD_METRICS(8)

NAME
snmpd_metrics - export snmpd MIB data

SYNOPSIS
snmpd_metrics [-dv] [-C option] [-c context] [-s path]

DESCRIPTION
snmpd_metrics exports the following (partial) MIBs via an AgentX compatible (snmp) servicio: HOST-RESOURCES-MIB, IF-MIB, OPENBSD-PF-MIB, OPENBSD-SENSORS-MIB, OPENBSD-CARP-MIB, OPENBSD-MEM-MIB, IP-MIB, IP-FORWARD-MIB, UCD-DISKIO-MIB, and BRIDGE-MIB.

The options are as follows:

-C option
    Enable MIB-specific options. Currently only filter-routes is supported. If set ask the kernel to filter route update messages on the routing socket. Routing table information will not be available, but CPU use will be reduced during bulk updates.

-c context
    The SNMPv3 context and can usually be omitted.

-d  Do not servicioize and log to stderr.

-s path
    Connect to the AgentX master via path. It defaults to /var/agentx/master.

-v  Produce more verbose output.

SEE ALSO
snmp(1), snmpd(8)

STANDARDS
P. Grillo, WeSync.com, March 2000, RFC 2790, Host Resources MIB.

K. McCloghrie, Cisco Systems, F. Kastenholz, Argon Networks, June 2000, RFC 2863, The Interfaces Group MIB.

S. Routhier, Ed., April 2006, RFC 4293, Management Information Base for the Internet Protocol (IP).

B. Haberman, Johns Hopkins University, April 2006, RFC 4292, IP Forwarding Table MIB.

K. Norseth, Ed., L-3 Communications, E. Bell, Ed., 3Com Europe Limited, September 2005, RFC 4188, Definitions of Managed Objects for Bridges.

AUTHORS
Martijn van Duren <martijn@openbsd.org> Joel Knight <joel@openbsd.org> Reyk Floeter <reyk@openbsd.org>